summaryrefslogtreecommitdiffstats
path: root/buildfox
Side-by-side diff
Diffstat (limited to 'buildfox') (more/less context) (ignore whitespace changes)
-rwxr-xr-xbuildfox23
1 files changed, 23 insertions, 0 deletions
diff --git a/buildfox b/buildfox
new file mode 100755
index 0000000..366ccbe
--- a/dev/null
+++ b/buildfox
@@ -0,0 +1,23 @@
+#!/bin/zsh
+
+unset CFLAGS CXXFLAGS LDFLAGS CC CXX
+dest="/home/raghavendra/Arch/firefox"
+cd $dest
+buildir=$dest
+export LDFLAGS=" -Wl,-rpath,$dest/usr/lib/firefox-hg -Wl,--hash-style=gnu "
+cd /media/Yak/Repo/mozilla-central
+hg pull -u
+cp $buildir/mozconfig .mozconfig
+
+#patch -Np1 -i "$buildir/mozilla-firefox-1.0-lang.patch"
+#patch -Np1 -i "$buildir/linux3.patch"
+#patch -Np1 -i "$buildir/libstdc++.patch"
+
+#patch -Np1 -i "$buildir/flash-78414-3.patch" || exit 1
+
+
+autoconf-2.13
+
+
+make -j8 -f client.mk build
+make -j8 -f client.mk DESTDIR="$dest" install